Package de.willuhn.jameica.hbci.gui.controller

# Class LastschriftControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AbstractTransferControl
de.willuhn.jameica.hbci.gui.controller.AbstractBaseUeberweisungControl
de.willuhn.jameica.hbci.gui.controller.LastschriftControl

public class LastschriftControl extends AbstractBaseUeberweisungControl
Ueberschreiben wir von UeberweisungControl, weil es fast das gleiche ist.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`LastschriftControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`LastschriftList`
`getLastschriftListe()`
Liefert eine Liste existierender Lastschriften.
`de.willuhn.jameica.gui.input.Input`
`getTextSchluessel()`
Liefert ein Auswahlfeld fuer den Textschluessel.
`HibiscusTransfer`
`getTransfer()`
Liefert den Transfer.

### Methods inherited from class de.willuhn.jameica.hbci.gui.controller.AbstractBaseUeberweisungControl

`getBetrag, getEmpfaengerBlz, getEmpfaengerKonto, getEmpfaengerName, getKontoAuswahl, getReminderInterval, getStoreEmpfaenger, getTermin, getZweck, getZweck2, handleStore`

### Methods inherited from class de.willuhn.jameica.hbci.gui.controller.AbstractTransferControl

`getKonto`

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LastschriftControl

public LastschriftControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getTransfer

public HibiscusTransfer getTransfer() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert den Transfer.

Specified by:
  `getTransfer` in class `AbstractTransferControl`
Returns:
  der Transfer oder `null` wenn keiner existiert.
Throws:
  `RemoteException`
See Also:
  - `AbstractTransferControl.getTransfer()`

### getLastschriftListe

public LastschriftList getLastschriftListe() throws RemoteException
Liefert eine Liste existierender Lastschriften.

Returns:
  Liste der Lastschriften.
Throws:
  `RemoteException`

### getTextSchluessel

public de.willuhn.jameica.gui.input.Input getTextSchluessel() throws RemoteException
Description copied from class: `AbstractBaseUeberweisungControl`
Liefert ein Auswahlfeld fuer den Textschluessel.

Specified by:
  `getTextSchluessel` in class `AbstractBaseUeberweisungControl`
Returns:
  Auswahlfeld.
Throws:
  `RemoteException`
See Also:
  - `AbstractBaseUeberweisungControl.getTextSchluessel()`